Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.grid
Class DenseGridPortrayal2D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal.FieldPortrayal2D
              sim.portrayal.grid.ObjectGridPortrayal2D
                  sim.portrayal.grid.DenseGridPortrayal2D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal2D

Direct Known Subclasses:
  HexaDenseGridPortrayal2D

    public class DenseGridPortrayal2D

extends ObjectGridPortrayal2D

Portrayal for Dense grids: grids of Bags of objects. The 'location' passed into the DrawInfo2D handed to the SimplePortryal2D is a MutableInt2D.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class sim.portrayal.grid.ObjectGridPortrayal2D
`ObjectGridPortrayal2D.Message`

Field Summary
`protected MutableInt2D` | `locationToPass`
`DrawPolicy` | `policy`

Fields inherited from class sim.portrayal.FieldPortrayal2D
`DEFAULT, DONT_USE_BUFFER, USE_BUFFER`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, field, immutableField, portrayalForAll, portrayalForNonNull, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`DenseGridPortrayal2D()`
`DenseGridPortrayal2D(DrawPolicy policy)` Deprecated. Use setDrawPolicy.

Method Summary
`DrawPolicy` | `getDrawPolicy()`
`java.lang.Object` | `getObjectLocation(java.lang.Object object, GUIState gui)` Returns the first location in the underlying field of the given object, if such a thing is reasonable.
`protected void` | `hitOrDraw(java.awt.Graphics2D graphics, DrawInfo2D info, Bag putInHere)` Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code.
`void` | `setDrawPolicy(DrawPolicy policy)`
`void` | `setField(java.lang.Object field)` Sets the field, and sets the dirtyField flag to true.

Methods inherited from class sim.portrayal.grid.ObjectGridPortrayal2D
`getDefaultNullPortrayal, getDefaultPortrayal, getLocationPosition, getPositionLocation, getScale, getWrapper, setSelected`

Methods inherited from class sim.portrayal.FieldPortrayal2D
`draw, getBuffering, getClipLocation, getObjectPosition, getRelativeObjectPosition, hitObjects, setBuffering, setObjectPosition`

Methods inherited from class sim.portrayal.FieldPortrayal
`getField, getInspector, getName, getPortrayalForAll, getPortrayalForNonNull, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, getStatus, isDirtyField, isImmutableField, reset, setDirtyField, setImmutableField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNonNull, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, getStatus`

Field Detail

### policy

    public DrawPolicy policy

### locationToPass

    protected final MutableInt2D locationToPass

Constructor Detail

### DenseGridPortrayal2D

    public DenseGridPortrayal2D()

### DenseGridPortrayal2D

    public DenseGridPortrayal2D(DrawPolicy policy)

  Deprecated. Use setDrawPolicy.

Method Detail

### setDrawPolicy

    public void setDrawPolicy(DrawPolicy policy)

### getDrawPolicy

    public DrawPolicy getDrawPolicy()

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Sets the field, and sets the dirtyField flag to true. May throw an exception if the field is inappropriate. The default version just sets the field and sets the dirtyField flag.

  Overrides:
    `setField` in class `ObjectGridPortrayal2D`

### getObjectLocation

    public java.lang.Object getObjectLocation(java.lang.Object object,
                                              GUIState gui)

  Description copied from class: `FieldPortrayal2D`
  Returns the first location in the underlying field of the given object, if such a thing is reasonable. Largely used for getObjectPosition(...). If null is returned, then the portrayal is unable to determine the position of the field location. Optionally overridable. The default implementation returns null.

  Overrides:
    `getObjectLocation` in class `ObjectGridPortrayal2D`

### hitOrDraw

    protected void hitOrDraw(java.awt.Graphics2D graphics,
                             DrawInfo2D info,
                             Bag putInHere)

  Description copied from class: `FieldPortrayal2D`
  Instead of overriding the draw and hitObjects methods, you can optionally override this method to provide both the draw(...) and hitObjects(...) functionality in a single method, as it's common that these two methods have nearly identical code. You should test which operation to do based on whether or not graphics is null (if it is, you're hitting, else you're drawing).

  Overrides:
    `hitOrDraw` in class `ObjectGridPortrayal2D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD